Content-type: text/html

# TIFFWriteTile

Section: Misc. Reference Manual Pages (3T)
Updated: November 29, 1999
Index
Return to Main Contents

## NAME

TIFFWriteTile - encode and write a tile of data to an open TIFF file

## SYNOPSIS

#include <tiffio.h>
tsize_t TIFFWriteTile(TIFF* tif, tdata_t buf, uint32 x, uint32 y, uint32 z, tsample_t sample)

## DESCRIPTION

Write the data for the tile containing the specified coordinates. The data in buf are is (potentially) compressed, and written to the indicated file, normally being appended to the end of the file. The buffer must be contain an entire tile of data. Applications should call the routine TIFFTileSize to find out the size (in bytes) of a tile buffer. The x and y parameters are always used by TIFFWriteTile. The z parameter is used if the image is deeper than 1 slice (ImageDepth>1). The sample parameter is used only if data are organized in separate planes (PlanarConfiguration=2).

## RETURN VALUES

TIFFWriteTile returns -1 if it detects an error; otherwise the number of bytes in the tile is returned.

## DIAGNOSTICS

All error messages are directed to the TIFFError(3T) routine.

## SEE ALSO

libtiff(3T), TIFFCheckTile(3T), TIFFComputeTile(3T), TIFFOpen(3T), TIFFReadTile(3T), TIFFWriteScanline(3T), TIFFWriteEncodedTile(3T), TIFFWriteRawTile(3T)

## Index

NAME
SYNOPSIS
DESCRIPTION
RETURN VALUES
DIAGNOSTICS
SEE ALSO

Time: 18:38:00 GMT, November 30, 1999